<?php
session_start();
require_once('config.php');
require_once('osm-liboauth.php');
require_once('dbutils.php');
$users = new GenericSqliteTable("var/users.db","users");

//Disable test account if not in test mode
if($_SESSION['user_id']==-1 and !$debugMode)
	die("Test Account Disabled");

//if(!isset($_POST['confirm']))
//	die("Confirmation username not set.");

//$confirmFailed = 0;
//if($_POST['confirm'] != $_SESSION['display_name'])
//{
//	$errorMsg = "Entered username did not match what was expected.";
//	$confirmFailed = 1;
//}

if(!isset($_POST['datasource']))
{
	$errorMsg = "Status of data sources not specified.";
	$confirmFailed = 1;
}

if(!$confirmFailed)
{
	//Read existing data
	$userData = array();
	if(isset($users[$_SESSION['user_id']]))
		$userData = $users[$_SESSION['user_id']];

	if(!isset($userData['declarations']) or !is_array($userData['declarations']))
		$userData['declarations'] = array();

	//Add new declaration into array
	$timeDeclared = time();
	array_push($userData['declarations'],array("decl"=>$_POST['decl'], 
		"options"=>array("datasource"=>$_POST['datasource']), "time"=>$timeDeclared));

	//Write to database
	$users[$_SESSION['user_id']] = $userData;

	//Write to log
	$fp = fopen("log/lock.txt", "r+");
	if (flock($fp, LOCK_EX)) { // do an exclusive lock
		ftruncate($fp, 0); // truncate file
		$log = fopen("log/log.txt", "a");
		fwrite($log,$_SESSION['user_id'].",".$_POST['decl'].",".$timeDeclared.",".$_POST['datasource']."\n" );
		flock($fp, LOCK_UN); // release the lock
	} else {
		
	}


?>
<h2>Success</h2>
<p>Thank you. Your information has been added to the database.</p>
<p><a href=".">Back to Summary</a></p>

<?php
}
if($confirmFailed)
{
?>
	<h2>Failed</h2>
	<p>Error: <?php echo $errorMsg; ?></p>
	<p><a href=".">Back to Summary</a></p>
<?php
}
?>
